import { Response } from 'express';
import { NotificationFilterDto, NotificationMarkAsReadDto } from './notifications.dto';
import { NotificationsService } from './notifications.service';
export declare class NotificationsController {
    private readonly service;
    constructor(service: NotificationsService);
    findByMember(memberId: string, query: NotificationFilterDto, res: Response): Promise<Response<any, Record<string, any>>>;
    markAsRead(data: NotificationMarkAsReadDto, res: Response): Promise<Response<any, Record<string, any>>>;
    markAllAsRead(member_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
}
